exhi3.jpg=S. Muthiah, writer-historian and Nandita Krishna, head C. P. Art Centre at the exhibition\

nmdsps.jpg=Students of P. S. Senior Secondary School toured the north Madras guided by Swahilya, journalist and HR trainer
chitra.jpg=Chitra Madhavan presented a talk on thelesser known temples of Chennai
portraitsbkrls.jpg=Booklet on early portraitsof Madras released
exhi2.jpg=An exhibition of Early Portraits of Madras – Etchings, Engravings and Aquatints from the private collection of V. Narayan Swami at The Art Gallery, C. P. Art Centre
chitra2.jpg=The talk by Chitra Madhavan at The Chamiers
MM1.jpg=The judges Prema Kasturi and Indira Narayanan watching the presentation by the students
MM3.jpg=Second prize winners of the Chennai Heritage - Multimedia Presentation for schools - Sishya School, Adyar
MM2.jpg=First prize winners of the Chennai Heritage - Multimedia Presentation for schools held at Sastri Hall. Students of Sri Sankara Vidyashramam Matric. Hr. Sec. School, Tiruvanmiyur with judges Prema Kasturi and Indira Narayanan
MM4.jpg=Third prize winners of the Chennai Heritage - Multimedia Presentation for schools - Lady Andal Venkata Subbarao Matric. Hr. Sec. School, Chetpet
historybkrls.jpg=A book on Early History of Madras Regions was released at the exhibition at the C. P. Art Centre
